> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.meetstream.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.meetstream.ai/_mcp/server.

# Get Bot

GET https://api.meetstream.ai/api/v1/bots/{bot_id}

Fetch a bot's record: configuration, status, status timeline and artifact availability. Same response as Get Bot Details.

Reference: https://docs.meetstream.ai/api-reference/api-endpoints/bot-endpoints/get-bot

## Authentication

- `Authorization` header (required) (prefixed with ` Token  `) — Format: Token \<your\_api\_key>

## Request

### Path parameters

- `bot_id` (string, required)

## Response

### 200

Success

- `bot_details` (BotDetailsResponseBotDetails, optional)

## Errors

### 403 Forbidden Error

The bot belongs to another account.

- `message` (string, optional)

### 404 Not Found Error

Bot not found.

- `message` (string, optional)

## Types

### BotDetailsResponseBotDetails

- `BotID` (string, optional)
- `BotImageURL` (string, optional, nullable)
- `BotMessage` (string, optional)
- `BotProfile` (string, optional)
- `BotUsername` (string, optional)
- `CreatedAt` (string, optional)
- `Duration` (integer, optional)
- `EndTime` (string, optional)
- `LastUpdatedAt` (integer, optional)
- `ManifestStatus` (string, optional)
- `MeetingLink` (string, optional)
- `Platform` (string, optional)
- `StartTime` (string, optional)
- `Status` (string, optional)
- `RequestPayload` (map from string to any, optional)
- `StatusTimeline` (map from string to any, optional)
- `custom_attributes` (map from string to any, optional)
- `transcript_id` (string, optional) — Present when the bot has a transcript.
- `caption_file` (BotDetailsResponseBotDetailsCaptionFile, optional)
- `participant_events` (BotDetailsResponseBotDetailsParticipantEvents, optional)

### BotDetailsResponseBotDetailsCaptionFile

- `available` (boolean, optional)
- `download_url` (string, optional) — Pre-signed URL, valid for 1 hour. Present when `available` is true.

### BotDetailsResponseBotDetailsParticipantEvents

- `available` (boolean, optional)
- `download_url` (string, optional) — Pre-signed URL, valid for 1 hour. Present when `available` is true.

## Examples

**Response**

```json
{
  "bot_details": {
    "BotID": "e8b71172-ed31-4915-a51a-3a9e50d699a7",
    "BotImageURL": "string",
    "BotMessage": "Bot joining meeting from calendar integration",
    "BotProfile": "default",
    "BotUsername": "Calendar Bot",
    "CreatedAt": "2026-03-19T13:57:18Z",
    "Duration": 615,
    "EndTime": "2026-03-19T14:08:08Z",
    "LastUpdatedAt": 1773929288,
    "ManifestStatus": "Skipped",
    "MeetingLink": "https://meet.google.com/wxj-cnvx-wdw",
    "Platform": "GMeet",
    "StartTime": "2026-03-19T13:57:52.810Z",
    "Status": "NotAllowed",
    "RequestPayload": {},
    "StatusTimeline": {},
    "custom_attributes": {},
    "transcript_id": "string",
    "caption_file": {
      "available": false,
      "download_url": "string"
    },
    "participant_events": {
      "available": true,
      "download_url": "string"
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.meetstream.ai/api/v1/bots/bot_id"

headers = {"Authorization": "Token <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.meetstream.ai/api/v1/bots/bot_id';
const options = {method: 'GET', headers: {Authorization: 'Token <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.meetstream.ai/api/v1/bots/bot_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Token <apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.meetstream.ai/api/v1/bots/bot_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Token <apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.meetstream.ai/api/v1/bots/bot_id")
  .header("Authorization", "Token <apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.meetstream.ai/api/v1/bots/bot_id', [
  'headers' => [
    'Authorization' => 'Token <apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.meetstream.ai/api/v1/bots/bot_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Token <apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Token <apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.meetstream.ai/api/v1/bots/bot_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```